
QGIS Application - Bug report #6102

Clicking save when actively editing attribute doesn't save changes.

2012-07-26 01:59 PM - Nathaniel Kale

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 15447

Description

To reproduce - open a shapefile (not tested on other feature class types).  Open the attribute table and start an editing session. 

Double-click to start editing a field, delete existing characters or add new characters, then click the save button without pressing enter or

clicking outside of the field you are editing.  The changes you made are discarded.  Exiting the field in any way allows the changes to be

saved.

History

#1 - 2012-07-26 02:59 PM - Giovanni Manghi

- Status changed from Open to Feedback

Is this a regression since 1.7.4 ?

#2 - 2012-07-26 04:20 PM - Nathaniel Kale

Tough to say if it's a regression.  My 1.7.4 on my Windows XP computer at home doesn't have a save button on the attribute window.  However, if you

duplicate the steps up to adding or deleting characters, then end the editing session by clicking on the toggle edit button, the same issue occurs - there is

no pop-up to ask if you would like to save your edits, and the changes are lost.

#3 - 2012-07-27 12:32 AM - Giovanni Manghi

- Operating System deleted (Windows)

- Target version changed from Version 1.8.0 to Version 2.0.0

- Priority changed from Normal to High

- Category set to Vectors

- OS version deleted (7)

Nathaniel Kale wrote:

However, if you duplicate the steps up to adding or deleting characters, then end the editing session by clicking on the toggle edit button, the same

issue occurs - there is no pop-up to ask if you would like to save your edits, and the changes are lost.

Then is not a regression and so it is not a blocker but still a pretty nasty bug (IMHO).

#4 - 2012-10-04 01:57 PM - Giovanni Manghi
- Status changed from Feedback to Open

- Affected QGIS version changed from 1.8.0 to master

- Priority changed from High to Normal

#5 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
